> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/cn/chan-pin-yu-gong-neng/how-to-use-session-control.md).

# 如何使用会话控制

了解如何通过 sessid- 参数为多个请求使用同一个代理 IP。

会话控制允许你在较长时间内通过多次请求使用特定的代理 IP 地址。你可以通过添加 `sessid-` 参数到你的用户认证字符串中，后面跟上你选择的字母数字字符串。\
​\
例如，完整的认证字符串可能如下所示：

```
customer-USERNAME-sessid-abcde12345:PASSWORD. 
```

我们已在我们的 [文档](https://developers.oxylabs.io/)。因此，你可以在下面的列表中找到你所购买的 Oxylabs 产品链接：

### 住宅代理 <a href="#h_011f2043c3" id="h_011f2043c3"></a>

* [建立会话](/products/proxies/residential-proxies/session-control.md#establishing-session)
* [控制会话时长](/products/proxies/residential-proxies/session-control.md#session-time)
* [使用 Sticky Proxy Entry Node](https://app.gitbook.com/s/BQ7Zf9paoN3FTeGcyfY1/proxies/residential-proxies/session-control/sticky-proxy-entry-nodes)

### 移动代理 <a href="#h_3b55b32745" id="h_3b55b32745"></a>

* [建立会话](/products/proxies/mobile-proxies/session-control.md#establishing-session)
* [控制会话时长](/products/proxies/mobile-proxies/session-control.md#session-time)
* [使用 Sticky Proxy Entry Node](https://app.gitbook.com/s/BQ7Zf9paoN3FTeGcyfY1/proxies/mobile-proxies/session-control/sticky-proxy-entry-nodes)

### 每个 IP 的数据中心代理 <a href="#h_398a727f6f" id="h_398a727f6f"></a>

* [创建会话](/products/proxies/datacenter-proxies/ip-control.md)

### ISP代理 <a href="#h_e8cdcb0e31" id="h_e8cdcb0e31"></a>

* [建立会话](/products/proxies/isp-proxies/making-requests.md)
* [控制会话时长](/products/proxies/isp-proxies/proxy-rotation.md)
* [使用 Sticky Proxy Entry Node](/products/proxies/isp-proxies/proxy-rotation.md)

### 独享ISP代理 <a href="#h_e8cdcb0e31" id="h_e8cdcb0e31"></a>

独享ISP代理提供完全独享的 IP 和无限时长会话，这意味着每个 IP 都会在你需要的整个期间专属于你。无需使用 `sessid` 用于会话控制的参数，你可以通过分配的端口（从 8001 开始）直接访问特定 IP。

若要持续使用某个特定 IP，只需向同一个端口号发送请求。若要在你的独享 IP 池中自动轮换，请使用 8000 端口。

* [发送请求](/products/proxies/dedicated-isp-proxies/self-service/making-requests.md)
* [代理轮换](/products/proxies/dedicated-isp-proxies/self-service/proxy-rotation.md)

### 网页解锁器 <a href="#h_e631ba9925" id="h_e631ba9925"></a>

在网页解锁器的情况下，会话 ID 参数必须作为请求头传递，例如， `"X-Oxylabs-Session-Id": "123randomString"`.

访问我们的 [文档](/products/web-unblocker/making-requests/session.md) 以了解更多信息并查看代码示例。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/cn/chan-pin-yu-gong-neng/how-to-use-session-control.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
